Package: org.grails.web.pages

## [Java] Class DefaultGroovyPagesUriService.TupleStringKey

- org.grails.web.pages.DefaultGroovyPagesUriService.TupleStringKey

-     private static class DefaultGroovyPagesUriService.TupleStringKey

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `keyPart1` |
    `java.lang.String` | `keyPart2` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TupleStringKey (java.lang.String keyPart1, java.lang.String keyPart2)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(java.lang.Object o)`
    `` | `public int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### java.lang.String keyPart1

    - #### java.lang.String keyPart2

  - ### Constructor Detail

    - #### TupleStringKey(java.lang.String keyPart1, java.lang.String keyPart2)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### @java.lang.Override public int hashCode()